html {
  color: #333;
}
img {
  vertical-align: top;
}
.flex {
  display: flex;
  flex-wrap: wrap;
}
.nowrap {
  flex-wrap: nowrap;
}
[class^="tc-"] {
  padding: 0 .2em;
  font-weight: bold;
}
.tc-green {
  color: #4bf17a;
}
.tc-purple {
  color: #ab82f8;
}
.tc-blue {
  color: #698afa;
}
.tc-red {
  color: #fc4f4e;
}
.emoji {
  margin: 0 4px;
}
.emoji img {
  max-height: 18px;
  vertical-align: middle;
}
td .emoji:first-child {
  margin-left: 0;
}
.w25per {
  width: 25%;
}

#main_content h2 {
  position: relative;
  margin: 0 12px .5em;
  padding: 0 .1em;
  font-weight: bold;
  border-bottom: 3px solid #5b2d71;
  line-height: 1.6;
}
#main_content h2:before,
#main_content h2:after {
  content: "";
  position: absolute;
  bottom: -4px;
  width: 6px;
  height: 6px;
  background: #5b2d71;
  transform: rotate(45deg);
}
#main_content h2:before {
  left: -12px;
}
#main_content h2:after {
  right: -12px;
}
#main_content h3 {
  position: relative;
  margin: 1.5em 0 .5em 12px;
  padding-left: .1em;
  font-weight: bold;
  border-bottom: 1px dashed #5b2d71;
}
#main_content h3:before {
  content: "";
  position: absolute;
  top: .5em;
  left: -12px;
  width: 6px;
  height: 6px;
  background: #5b2d71;
  transform: rotate(45deg);
}

.charaicon-list {
  display: flex;
  flex-wrap: wrap;
  margin-bottom: 1.5em;
}
.charaicon-list a {
  display: block;
  color: #fff;
}
.charaicon-list a img {
  transition: all .2s;
}
.charaicon-list a:hover img {
  scale: 1.2;
  clip: rect(10px 84px 84px 10px);
}
.icon-charaicon-m {
  position: relative;
  width: 100px;
  height: 100px;
}

.icon-charaicon-m [class*="rare-"]:before {
  content: "";
  position: absolute;
  left: 2px;
  bottom: 0;
  width: 94px;
  height: 94px;
}
.icon-charaicon-m [class*="rare-"]:after {
  content: "";
  position: absolute;
  height: 24px;
  top: 2px;
  left: 0;
  z-index: 2;
}
.icon-charaicon-m .rare-r:before {
  background: url(//img.wiki3.jp/dotabyss/bg-chara-r.png);
}
.icon-charaicon-m .rare-r:after {
  background: url(//img.wiki3.jp/dotabyss/text-r.png);
  width: 18px;
}
.icon-charaicon-m .rare-sr:before {
  background: url(//img.wiki3.jp/dotabyss/bg-chara-sr.png);
}
.icon-charaicon-m .rare-sr:after {
  background: url(//img.wiki3.jp/dotabyss/text-sr.png);
  width: 24px;
}
.icon-charaicon-m .rare-ssr:before {
  background: url(//img.wiki3.jp/dotabyss/bg-chara-ssr.png);
}
.icon-charaicon-m .rare-ssr:after {
  background: url(//img.wiki3.jp/dotabyss/text-ssr.png);
  width: 33px;
}

.icon-charaicon-m .front:before,
.icon-charaicon-m .back:before,
.icon-charaicon-m .assist:before {
  content: "";
  position: absolute;
  width: 46px;
  height: 25px;
  bottom: 0;
  left: 3px;
  z-index: 3;
}
.icon-charaicon-m .front:before {
  background: url(//img.wiki3.jp/dotabyss/bg-front-s.png);
}
.icon-charaicon-m .back:before {
  background: url(//img.wiki3.jp/dotabyss/bg-back-s.png);
}
.icon-charaicon-m .assist:before {
  background: url(//img.wiki3.jp/dotabyss/bg-assist-s.png);
}

.icon-charaicon-m [class*="job-"]:after {
  content: "";
  position: absolute;
  width: 26px;
  height: 25px;
  bottom: 0;
  left: 3px;
  z-index: 3;
}
.icon-charaicon-m .job-01:after {
  background: url(//img.wiki3.jp/dotabyss/icon-job-01-s.png);
}
.icon-charaicon-m .job-02:after {
  background: url(//img.wiki3.jp/dotabyss/icon-job-02-s.png);
}
.icon-charaicon-m .job-03:after {
  background: url(//img.wiki3.jp/dotabyss/icon-job-03-s.png);
}
.icon-charaicon-m .job-04:after {
  background: url(//img.wiki3.jp/dotabyss/icon-job-04-s.png);
}
.icon-charaicon-m .job-05:after {
  background: url(//img.wiki3.jp/dotabyss/icon-job-05-s.png);
}
.icon-charaicon-m .job-06:after {
  background: url(//img.wiki3.jp/dotabyss/icon-job-06-s.png);
}
.icon-charaicon-m .job-07:after {
  background: url(//img.wiki3.jp/dotabyss/icon-job-07-s.png);
}
.icon-charaicon-m .job-08:after {
  background: url(//img.wiki3.jp/dotabyss/icon-job-08-s.png);
}

.icon-charaicon-m [class*="rare-"] [class*="element-"]:before {
  content: "";
  position: absolute;
  background: url(//img.wiki3.jp/dotabyss/bg-element-sr-r.png);
  width: 28px;
  height: 28px;
  top: 0;
  right: 0;
  z-index: 3;
}
.icon-charaicon-m .rare-r [class*="element-"]:before {
  background: url(//img.wiki3.jp/dotabyss/bg-element-r-s.png);
}
.icon-charaicon-m .rare-sr [class*="element-"]:before {
  background: url(//img.wiki3.jp/dotabyss/bg-element-sr-s.png);
}
.icon-charaicon-m .rare-ssr [class*="element-"]:before {
  background: url(//img.wiki3.jp/dotabyss/bg-element-ssr-s.png);
}

.icon-charaicon-m [class*="rare-"] [class*="element-"]:after {
  content: "";
  position: absolute;
  width: 21px;
  height: 21px;
  top: 3px;
  right: 3px;
  z-index: 3;
}
.icon-charaicon-m [class*="rare-"] .element-artifact:after {
  background: url(//img.wiki3.jp/dotabyss/icon-element-artifact-s.png);
}
.icon-charaicon-m [class*="rare-"] .element-dark:after {
  background: url(//img.wiki3.jp/dotabyss/icon-element-dark-s.png);
}
.icon-charaicon-m [class*="rare-"] .element-earth:after {
  background: url(//img.wiki3.jp/dotabyss/icon-element-earth-s.png);
}
.icon-charaicon-m [class*="rare-"] .element-fire:after {
  background: url(//img.wiki3.jp/dotabyss/icon-element-fire-s.png);
}
.icon-charaicon-m [class*="rare-"] .element-light:after {
  background: url(//img.wiki3.jp/dotabyss/icon-element-light-s.png);
}
.icon-charaicon-m [class*="rare-"] .element-water:after {
  background: url(//img.wiki3.jp/dotabyss/icon-element-water-s.png);
}

.icon-charaicon-m [class*="manatype-"]:before {
  content: "";
  position: absolute;
  width: 23px;
  height: 23px;
  top: 50px;
  left: 3px;
  z-index: 3;
}
.icon-charaicon-m .manatype-impact:before {
  background: url(//img.wiki3.jp/dotabyss/icon-manatype-impact.png);
}
.icon-charaicon-m .manatype-zeal:before {
  background: url(//img.wiki3.jp/dotabyss/icon-manatype-zeal.png);
}

.icon-charaicon-m img {
  position: absolute;
  left: 2px;
  bottom: 0;
  z-index: 2;
  width: 94px;
  height: 94px;
  clip: rect(3px 91px 91px 3px);
}

.charaicon-list .chara-name {
  margin: 0 4px 0 2px;
  padding: .2em 0;
  background: #2e2c38;
  color: #fff;
  font-size: 11px;
  font-weight: bold;
  text-align: center;
}



#chara-profile {
}
@media screen and (max-width:1024px) {
  .sp #chara-profile .flex:first-of-type {
    flex-wrap: wrap;
    justify-content: center;
  }
}
#chara-profile .chara-icon {
  border: 1px solid #ccc;
  border-radius: 10px;
  margin-right: 5px;
  overflow: hidden;
  align-self: flex-start;
  max-width: 180px;
  margin-bottom: 1.5em;
}
#chara-profile .chara-icon + div {
  flex-grow: 1;
}

#chara-profile table.uk-table {
  margin-top: -5px;
  border: none;
  border-collapse: separate;
  border-spacing: 0 5px;
}
#chara-profile table.uk-table th {
  width: 15%;
  color: #fff;
  background-color: #5b2e6f;
  border: none;
  text-align: center;
}
#chara-profile table.uk-table th:first-child {
  border: none;
}
#chara-profile table.uk-table td {
  width: 35%;
  color: #fff;
  background-color: #2d2c38;
  border: none;
  text-align: right;
  border-radius: 0 10px 10px 0;
}
#chara-profile table.uk-table tr:not(:last-of-type) th {
  border-left: 2.5px solid #fff;
}
#chara-profile table.uk-table th:first-child + td:not(:last-child) {
  border-right: 2.5px solid #fff;
}
#chara-profile table.uk-table th:first-child,
#chara-profile table.uk-table td + th {
  border-radius: 10px 0 0 10px;
}
#chara-profile table.uk-table tr:last-of-type th:first-child + td:last-child {
}

@media screen and (max-width:1024px) {
  .sp #chara-profile table.uk-table th {
    width: 18%;
  }
  .sp #chara-profile table.uk-table td {
    width: 32%;
  }
  .sp #chara-profile table.uk-table tr:last-of-type td {
    text-align: left;
  }
}

#chara-skill h2 + h3 {
  margin-top: .5em;
}
#chara-skill h3:before {
  display: none;
}
#chara-skill h3.skill-name,
#chara-skill h3.ability-name {
  margin-left: 0;
  margin-bottom: 0;
  padding: .5em .5em .5em .5em;
  color: #fff;
  font-weight: bold;
  font-size: 16px;
}
#chara-skill h3.skill-name {
  background: #5b2e6f;
}
#chara-skill h3.ability-name {
  background: #1c7474;
}
#chara-skill h3 +  table.uk-table {
  margin-top: 5px;
}
#chara-skill table.uk-table {
  border-collapse: separate;
  border-spacing: 5px;
}
#chara-skill table.uk-table,
#chara-skill table.uk-table th,
#chara-skill table.uk-table td {
  border: none;
}
#chara-skill table.uk-table th:first-child {
  width: 6em;
  border-radius: 5px;
}

#chara-skill table.uk-table.skill-table th:first-child {
  background: #5b2e6f;
}
#chara-skill table.uk-table.skill-table tr:first-child th:first-child {
  background: #2d2c38;
}
#chara-skill table.uk-table.skill-table tr:not(:first-of-type) td {
  background: #f8f2fa;
  border-radius: 5px;
  border: 1px solid #5b2e6f;
}
#chara-skill table.uk-table.ability-table th:first-child {
  background: #1c7474;
}
#chara-skill table.uk-table.ability-table td {
  background: #f2f9f9;
  border-radius: 5px;
  border: 1px solid #1c7474;
}
#chara-skill table.uk-table .fc {
  margin-top: .5em;
  padding-top: .5em;
  border-top: 2px dotted #ab82f8;
}

#chara-skin {
}
#chara-skin table th {
  width: 15em;
}
#chara-skin table .spine {
  display: inline-block;
}
#chara-skin table .spine img {
}
#chara-skin table td {
  text-align: center;
}
#chara-skin table td:has(ul) {
  text-align: left;
}
#chara-skin table td a {
  display: block;
}
#chara-skin table td:not(:first-of-type) img {
  max-height: 125px;
  transition: opacity .2s ease;
}
#chara-skin table td a:hover img {
  opacity: .75;
}
#chara-skin table td ul {
  margin: 0;
}


#template-chara-list h2:not(:first-of-type) {
  margin-top: 1.5em;
}
#template-chara-list {
}
#db_data_list > .uk-margin-bottom,
#template-chara-list .table {
  display: flex;
  flex-wrap: wrap;
  overflow-x: scroll;
}
#db_data_list .tr,
#template-chara-list .tr {
  display: flex;
  flex-wrap: nowrap;
  width: 100%;
  font-size: 11px;
  align-items: center;
  border-bottom: 1px solid #ccc;
  min-width: min-content;
  order: 1;
}
#db_data_list .th,
#db_data_list .td,
#template-chara-list .th,
#template-chara-list .td {
}
#db_data_list .th,
#template-chara-list .th {
  position: sticky;
  left: 0;
  width: 64px;
  min-height: 64px;
  box-sizing: border-box;
  vertical-align: middle;
}
#db_data_list .th img,
#template-chara-list .th img {
  max-width: 64px;
  border: 1px solid #ccc;
  background: #fff;
}
#db_data_list a,
#template-chara-list a {
  display: block;
}
#db_data_list .td,
#template-chara-list .td {
  box-sizing: border-box;
  text-align: center;
  vertical-align: middle;
}
#db_data_list .td + .td,
#db_data_list .th + .td,
#template-chara-list .td + .td,
#template-chara-list .th + .td {
  margin-left: 5px;
}
#db_data_list .tr .td:nth-child(2),
#template-chara-list .tr .td:nth-child(2) {
  min-width: 180px;
  max-width: 180px;
  line-height: 1.6;
}
#db_data_list .tr .td:nth-child(3),
#template-chara-list .tr .td:nth-child(3) {
  min-width: 100px;
  max-width: 100px;
}
#db_data_list .tr .td:nth-child(4),
#template-chara-list .tr .td:nth-child(4) {
  min-width: 80px;
  max-width: 80px;
}
#db_data_list .tr .td:nth-child(5),
#template-chara-list .tr .td:nth-child(5) {
  min-width: 60px;
  max-width: 60px;
}
#db_data_list .tr .td:nth-child(6),
#template-chara-list .tr .td:nth-child(6) {
  min-width: 80px;
  max-width: 80px;
}
#db_data_list .tr .td:nth-child(7),
#template-chara-list .tr .td:nth-child(7) {
  min-width: 80px;
  max-width: 80px;
}
#db_data_list .tr .td:nth-child(8),
#template-chara-list .tr .td:nth-child(8) {
  min-width: 80px;
  max-width: 80px;
}
#db_data_list .tr .td:last-of-type,
#template-chara-list .tr .td:last-of-type {
  width: 400px;
  font-size: 12px;
  text-align: left;
  white-space: nowrap;
}
#template-chara-list .sort .tr .td:last-of-type {
  padding-left: .2em;
}
#template-chara-list .td .emoji {
  display: block;
  margin-bottom: 3px;
}
#template-chara-list .sort {
  margin-bottom: 5px;
}
#template-chara-list .sort .tr {
  position: relative;
  border-bottom: none;
  background: #5b2e6f;
}
#template-chara-list .sort .tr:before {
  content: "";
  position: sticky;
  top: 0;
  left: 0;
  bottom: 0;
  width: 80px;
  height: 2.6em;
  margin-left: -80px;
  background: linear-gradient(90deg,#5b2e6f 80%, rgba(91, 46, 111, 0) 100%);
  z-index: 1;
}
#template-chara-list .sort .tr .td {
  position: relative;
  color: #fff;
  padding: .5em 0;
  line-height: 1.4;
}
#template-chara-list .sort .tr .td:nth-child(1) {
  width: 64px;
}
#template-chara-list .sort .tr .td:nth-child(3):after,
#template-chara-list .sort .tr .td:nth-child(4):after,
#template-chara-list .sort .tr .td:nth-child(5):after,
#template-chara-list .sort .tr .td:nth-child(6):after,
#template-chara-list .sort .tr .td:nth-child(7):after,
#template-chara-list .sort .tr .td:nth-child(8):after {
  content: "";
  position: absolute;
  top: .95em;
  margin-left: .5em;
  border: 5px solid transparent;
  border-top-color: #fff;
}
#template-chara-list .sort .tr .td.click {
  background-color: #333;
  border-left: 1px solid #fff;
  border-right: 1px solid #fff;
  animation: flashBg 0.3s ease-out forwards;
}
#template-chara-list .sort .tr .td.click:after {
  border-top-color: transparent;
}
@keyframes flashBg {
  0% {
    background-color: #aaa;
  }
  100% {
    background-color: #333;
  }
}

#gacha-list table td:first-of-type,
#event-list table td:first-of-type {
  width: 200px;
}
#event-list table ul,
#gacha-list table ul {
  margin: 0;
  padding-left: 1.2em;
  list-style-type: "- ";
}
